# Comments: markAsSpam

**Requires [authorization](https://developers.google.com/blogger/docs/3.0/reference/comments/markAsSpam#auth)**

Marks a comment as spam. This will set the status of the comment to `spam`, and hide it in the default comment rendering.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/comments/markAsSpam#try-it).

## Request

### HTTP request

```
POST https://www.googleapis.com/blogger/v3/blogs/blogId/posts/postId/comments/commentId/spam
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The Id of the Blog. |
| `commentId` | `string` | The ID of the comment to mark as spam. |
| `postId` | `string` | The ID of the Post. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/blogger/docs/3.0/using#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/blogger` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Comments resource](https://developers.google.com/blogger/docs/3.0/reference/comments#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.